Package skyview.process.imagefinder

# Class LocalBorder

java.lang.Object
skyview.process.ImageFinder
skyview.process.imagefinder.RectRecurse
skyview.process.imagefinder.Border
skyview.process.imagefinder.LocalBorder

public class LocalBorder extends Border

## Field Summary

### Fields inherited from class skyview.process.imagefinder.RectRecurse

`CONSUMED, fromOut, NO_COVERAGE, NON_PHYSICAL, SPLIT_X, SPLIT_XY, SPLIT_Y, UNCHECKED`

## Constructor Summary

Constructors
Constructor
Description
`LocalBorder()`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`findImages(Image[] input, Image output)`
Find the best image for each output pixel.

### Methods inherited from class skyview.process.imagefinder.Border

`criterion`

### Methods inherited from class skyview.process.imagefinder.RectRecurse

`cornerMatch, edgeOff, getCandidate, getImage, getInputLimits, minDist, printOut, radiusSquared, setStrict`

### Methods inherited from class skyview.process.ImageFinder

`factory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocalBorder

public LocalBorder()

## Method Details

### findImages

public int[] findImages(Image[] input, Image output)
Find the best image for each output pixel.

Overrides:
  `findImages` in class `RectRecurse`
Parameters:
  `input` - An array of images that may be sampled to get the output image.
  `output` - The output image. In this routine we are interested in its geometry, not its data.
Returns:
  An index array which for each pixel in the output image gives the best image to sample. Note that this has dimension int[nx*ny] where nx changes most rapidly. The values of the index array can be:
  - >= 0: The pixel is best indexed with the given image.
  - -1: [internal] The best image for this pixel has not yet been determined.
  - -2: This pixel is not on any of the input images.
  - -3: This pixel does not represent a physical coordinate.
  - -4: [in other methods] this pixel has already been processed.